### Hierarchy

- Search
  - TableToolbarSearch

### Implements

- ControlValueAccessor

## Index

### Inputs

- active
- ariaLabel
- autocomplete
- clearButtonTitle
- disabled
- expandable
- id
- label
- name
- placeholder
- required
- searchTitle
- skeleton
- tableSearch
- theme
- toolbar
- value
- size

### Outputs

- clear
- open
- search
- valueChange

### Constructors

- constructor

### Properties

- _size
- active
- ariaLabel
- autocomplete
- clear
- clearButtonTitle
- disabled
- elementRef
- expandable
- i18n
- id
- inputRef
- isComposing
- label
- name
- open
- placeholder
- required
- search
- searchTitle
- skeleton
- tableSearch
- theme
- toolbar
- value
- valueChange
- searchCount

### Accessors

- containerClass
- size

### Methods

- clearSearch
- compositionEnd
- compositionStart
- doValueChange
- focusIn
- focusOut
- keyDown
- onEnter
- onSearch
- onTouched
- openSearch
- propagateChange
- registerOnChange
- registerOnTouched
- writeValue

## Constructors

### constructor

- new Search(elementRef: ElementRef, i18n: I18n): Search

- - Defined in src/search/search.component.ts:141

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### i18n: I18n

  #### Returns Search

## Properties

### Protected _size

_size: "sm" | "md" | "xl" = "md"

- Defined in src/search/search.component.ts:141

### active

@Input()
active: boolean = false

- Defined in src/search/search.component.ts:73

### ariaLabel

@Input()
ariaLabel: string

- Defined in src/search/search.component.ts:118

### autocomplete

@Input()
autocomplete: string = "on"

- Defined in src/search/search.component.ts:98

### clear

@Output()
clear: EventEmitter<Object> = new EventEmitter()

- Defined in src/search/search.component.ts:127

### clearButtonTitle

@Input()
clearButtonTitle: any = this.i18n.get().SEARCH.CLEAR_BUTTON

- Defined in src/search/search.component.ts:110

### disabled

@Input()
disabled: boolean = false

- Defined in src/search/search.component.ts:56

### Protected elementRef

elementRef: ElementRef

- Defined in src/search/search.component.ts:147

### expandable

@Input()
expandable: boolean = false

- Defined in src/search/search.component.ts:65

### Protected i18n

i18n: I18n

- Defined in src/search/search.component.ts:147

### id

@Input()
id: string = `search-${Search.searchCount}`

- Defined in src/search/search.component.ts:85

### inputRef

@ViewChild({"selector":"input","opts":"{ static: false }"})
inputRef: ElementRef

- Defined in src/search/search.component.ts:134

### Protected isComposing

isComposing: boolean = false

- Defined in src/search/search.component.ts:139

### label

@Input()
label: any = this.i18n.get().SEARCH.LABEL

- Defined in src/search/search.component.ts:102

### name

@Input()
name: string

- Defined in src/search/search.component.ts:81

### open

@Output()
open: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/search/search.component.ts:123

### placeholder

@Input()
placeholder: any = this.i18n.get().SEARCH.PLACEHOLDER

- Defined in src/search/search.component.ts:106

### required

@Input()
required: boolean

- Defined in src/search/search.component.ts:89

### search

@Output()
search: EventEmitter<string> = new EventEmitter<string>()

- Defined in src/search/search.component.ts:131

### searchTitle

@Input()
searchTitle: string = ""

- Defined in src/search/search.component.ts:114

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/search/search.component.ts:69

### tableSearch

@Input()
tableSearch: boolean = false

- Defined in src/search/search.component.ts:77

### theme

@Input()
theme: "light" | "dark" = "dark"

- Defined in src/search/search.component.ts:41

### toolbar

@Input()
toolbar: boolean = false

- Defined in src/search/search.component.ts:60

### value

@Input()
value: string = ""

- Defined in src/search/search.component.ts:93

### valueChange

@Output()
valueChange: EventEmitter<string> = new EventEmitter<string>()

- Defined in src/search/search.component.ts:122

### Static searchCount

searchCount: number = 0

- Defined in src/search/search.component.ts:34

## Accessors

### containerClass

@HostBinding({"hostPropertyName":"class.bx--form-item"})
containerClass:

- Defined in src/search/search.component.ts:36

### size

@Input()
size:

- Defined in src/search/search.component.ts:46
- Defined in src/search/search.component.ts:50

## Methods

### clearSearch

- clearSearch(): void

- - Defined in src/search/search.component.ts:206

  #### Returns void

### compositionEnd

@HostListener({"eventName":"compositionend","args":"[$event]"})

- compositionEnd(event: any): void

- - Defined in src/search/search.component.ts:269

  #### Parameters

  - ##### event: any

  #### Returns void

### compositionStart

@HostListener({"eventName":"compositionstart","args":"[$event]"})

- compositionStart(event: any): void

- - Defined in src/search/search.component.ts:261

  #### Parameters

  - ##### event: any

  #### Returns void

### doValueChange

- doValueChange(): void

- - Defined in src/search/search.component.ts:212

  #### Returns void

### focusIn

@HostListener({"eventName":"focusin","args":"[$event]"})

- focusIn(event: any): void

- - Defined in src/search/search.component.ts:247

  #### Parameters

  - ##### event: any

  #### Returns void

### focusOut

@HostListener({"eventName":"focusout","args":"[$event]"})

- focusOut(event: any): void

- - Defined in src/search/search.component.ts:235

  #### Parameters

  - ##### event: any

  #### Returns void

### keyDown

@HostListener({"eventName":"keydown","args":"[$event]"})

- keyDown(event: KeyboardEvent): void

- - Defined in src/search/search.component.ts:224

  #### Parameters

  - ##### event: KeyboardEvent

  #### Returns void

### onEnter

- onEnter(): void

- - Defined in src/search/search.component.ts:199

  #### Returns void

### onSearch

- onSearch(search: string): void

- - Defined in src/search/search.component.ts:188

  #### Parameters

  - ##### search: string

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/search/search.component.ts:177

  #### Returns void

### openSearch

- openSearch(): void

- - Defined in src/search/search.component.ts:217

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- - Defined in src/search/search.component.ts:182

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/search/search.component.ts:162

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/search/search.component.ts:170

  #### Parameters

  - ##### fn: any

  #### Returns void

### writeValue

- writeValue(value: any): void

- - Defined in src/search/search.component.ts:155

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc